Package org.apache.maven.scm

## Class ScmBranchParameters

- java.lang.Object
- - org.apache.maven.scm.ScmBranchParameters

All Implemented Interfaces:
  `java.io.Serializable`

    public class ScmBranchParameters
    extends java.lang.Object
    implements java.io.Serializable

Since:
  1.2
Author:
  Olivier Lamy
See Also:
  Serialized Form

### Constructor Summary

Constructors
`ScmBranchParameters()`
`ScmBranchParameters​(java.lang.String message)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getMessage()`
`java.lang.String` `getScmRevision()`
`boolean` `isPinExternals()`
`boolean` `isRemoteBranching()`
`void` `setMessage​(java.lang.String message)`
`void` `setPinExternals​(boolean pinExternals)`
`void` `setRemoteBranching​(boolean remoteBranching)`
`void` `setScmRevision​(java.lang.String scmRevision)`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ScmBranchParameters

    public ScmBranchParameters()

#### ScmBranchParameters

    public ScmBranchParameters​(java.lang.String message)

### Method Detail

#### getMessage

    public java.lang.String getMessage()

#### setMessage

    public void setMessage​(java.lang.String message)

#### getScmRevision

    public java.lang.String getScmRevision()

#### setScmRevision

    public void setScmRevision​(java.lang.String scmRevision)

#### isRemoteBranching

    public boolean isRemoteBranching()

#### setRemoteBranching

    public void setRemoteBranching​(boolean remoteBranching)

#### isPinExternals

    public boolean isPinExternals()

#### setPinExternals

    public void setPinExternals​(boolean pinExternals)

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`